# Readme

# Basic Instructions of Repository 

**This is the main repository of your project, please consider to follow the next rules to work in a collaborative way with other fellows.**


## Readme and Wiki 

Use `Readme.md` file to let others know how to use, connect (circuits) or implement the repository elements in a basic and simple way. For detailed information, remark notes, tutorials, or documentation (reports and thesis) of the repository use the **Wiki** Tab in the same repository.

*Considers that the Wiki page is not considered by the git system*.



## Projects and Issues tab 

To organize your progress, use the issues and projects tabs. In this way, it is possible to schedule your tasks and set milestones. Thus, each week can start by reviewing the pending tasks, organize your week tasks, and at the end of the week check and mark your progress.

### Issues

The `git-template` includes 9 basic labels to use each time you create an issue. These labels are detailed next:

- bug: Somethign is not working as expected or getting wrong results 
- duplicated: This issue or pull request already exists 
- further work: General advices to be considered in future elements, projects or submodules 
- help wanted: Some help is required by supervisors; directions, raw material, material, review results, or laboratory assistance 
- improve: Something has to be improved or rebuiled to improve expected results 
- question: Something needs a fast review or guidance to focus the aim of the project 
- submodules: The project should considers to create a submodule element to integrate in this project
- task: Assigned task to complete a milestone or project element; the assigned collaborators have to complete the task 
- wiki: Elements or information to be included in the Wiki page 

### Projects
**Considers that this is the main repository. Thus, create projects for main elements (circuit stage, specific behaivior, component, document, simulation, or submodule, etc.) to manage components or submodules related with the main repository**.

In the project always create three main boards: Todo, In Progress and Done. 
